## kconfig 5.68.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.68.0") # handled by release scripts
project(KConfig VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.68.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

set(REQUIRED_QT_VERSION 5.12.0)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Xml)
option(KCONFIG_USE_GUI "Build components using Qt5Gui" ON)
if(KCONFIG_USE_GUI)
    find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Gui)
endif()

if (NOT ANDROID)
    option(KCONFIG_USE_DBUS "Build components using Qt5DBus" ON)
    if(KCONFIG_USE_DBUS)
        find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED DBus)
    endif()
else()
    set(KCONFIG_USE_DBUS Off)
endif()


include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)


include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMMarkNonGuiExecutable)
include(ECMPoQmTools)
include(ECMAddQch)
include(ECMQtDeclareLoggingCategory)

set(EXCLUDE_DEPRECATED_BEFORE_AND_AT 0 CACHE STRING "Control the range of deprecated API excluded from the build [default=0].")

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KCONFIG
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kconfig_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfigVersion.cmake"
                        SOVERSION 5)

add_definitions(-DQT_NO_FOREACH)
add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

include (ECMPoQmTools)
if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
   ecm_install_po_files_as_qm(po)
endif()


# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Config")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5Config_QCH
        FILE KF5ConfigQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5ConfigQchTargets.cmake\")")
endif()

include(CMakePackageConfigHelpers)

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5ConfigConfigVersion.cmake"
               "${CMAKE_CURRENT_SOURCE_DIR}/KF5ConfigMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )


install(EXPORT KF5ConfigTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5ConfigTargets.cmake NAMESPACE KF5:: COMPONENT Devel)


install(EXPORT KF5ConfigCompilerTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5ConfigCompilerTargets.cmake NAMESPACE KF5:: COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kconfig_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )


feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== autotests/kconfig_compiler/CMakeLists.txt ===

# On Windows we have to generate the .h and .cpp inside ${CMAKE_BINARY_DIR}/bin because
# otherwise QFINDTESTDATA will not be able to locate them.
if(WIN32)
    set(KCFG_OUTPUT_DIR "${CMAKE_BINARY_DIR}/bin")
else()
    set(KCFG_OUTPUT_DIR "${CMAKE_CURRENT_BINARY_DIR}")
endif()

# make sure the generated headers can be found
include_directories(${KCFG_OUTPUT_DIR})

include(${CMAKE_SOURCE_DIR}/KF5ConfigMacros.cmake)
macro(GEN_KCFG_TEST_SOURCE _testName _srcs)
   KCONFIG_ADD_KCFG_FILES(${_srcs} ${_testName}.kcfgc ${ARGN})
endmacro()

include(ECMMarkAsTest)

########### next target ###############

set(test1_SRCS test1main.cpp )


gen_kcfg_test_source(test1 test1_SRCS)

ecm_add_test(TEST_NAME test1 ${test1_SRCS})
target_link_libraries(test1 KF5::ConfigGui)


########### next target ###############

set(test2_SRCS test2main.cpp )


gen_kcfg_test_source(test2 test2_SRCS)

ecm_add_test(TEST_NAME test2 ${test2_SRCS})
target_link_libraries(test2 KF5::ConfigGui)


########### next target ###############

set(test3_SRCS test3main.cpp )


gen_kcfg_test_source(test3 test3_SRCS)

ecm_add_test(TEST_NAME test3 ${test3_SRCS})
target_link_libraries(test3 KF5::ConfigGui)


########### next target ###############

set(test3a_SRCS test3amain.cpp )


gen_kcfg_test_source(test3a test3a_SRCS)

ecm_add_test(TEST_NAME test3a ${test3a_SRCS})
target_link_libraries(test3a KF5::ConfigGui)


########### next target ###############

set(test4_SRCS test4main.cpp )


gen_kcfg_test_source(test4 test4_SRCS)

ecm_add_test(TEST_NAME test4 ${test4_SRCS})
target_link_libraries(test4 KF5::ConfigGui)


########### next target ###############

set(test5_SRCS test5main.cpp )


gen_kcfg_test_source(test5 test5_SRCS)

ecm_add_test(TEST_NAME test5 ${test5_SRCS})
target_link_libraries(test5 KF5::ConfigGui)


########### next target ###############

set(test6_SRCS test6main.cpp )


gen_kcfg_test_source(test6 test6_SRCS)

ecm_add_test(TEST_NAME test6 ${test6_SRCS})
target_link_libraries(test6 KF5::ConfigGui)


########### next target ###############

set(test7_SRCS test7main.cpp )


gen_kcfg_test_source(test7 test7_SRCS)

ecm_add_test(TEST_NAME test7 ${test7_SRCS})
target_link_libraries(test7 KF5::ConfigGui)


########### next target ###############

set(test8_SRCS test8main.cpp )


gen_kcfg_test_source(test8a test8_SRCS)
gen_kcfg_test_source(test8b test8_SRCS)
gen_kcfg_test_source(test8c test8_SRCS)

ecm_add_test(TEST_NAME test8 ${test8_SRCS})
target_link_libraries(test8 KF5::ConfigGui)


########### next target ###############

set(test9_SRCS test9main.cpp )


gen_kcfg_test_source(test9 test9_SRCS)

ecm_add_test(TEST_NAME test9 ${test9_SRCS})
target_link_libraries(test9 KF5::ConfigGui)


########### next target ###############

set(test10_SRCS test10main.cpp )


gen_kcfg_test_source(test10 test10_SRCS)

ecm_add_test(TEST_NAME test10 ${test10_SRCS})
target_link_libraries(test10 KF5::ConfigGui)


########### next target ###############

set(test11_SRCS test11main.cpp )


gen_kcfg_test_source(test11 test11_SRCS)
gen_kcfg_test_source(test11a test11_SRCS)

ecm_add_test(TEST_NAME test11 ${test11_SRCS})
target_link_libraries(test11 KF5::ConfigGui)


########### next target ###############

set(test12_SRCS test12main.cpp )

gen_kcfg_test_source(test12 test12_SRCS)

ecm_add_test(TEST_NAME test12 ${test12_SRCS})
target_link_libraries(test12 KF5::ConfigGui)

########### next target ###############

set(test13_SRCS test13main.cpp )

gen_kcfg_test_source(test13 test13_SRCS GENERATE_MOC)

ecm_add_test(TEST_NAME test13 ${test13_SRCS})
target_link_libraries(test13 KF5::ConfigGui)

########### next target ###############

set(test_emptyentries_SRCS test_emptyentries_main.cpp )

gen_kcfg_test_source(test_emptyentries test_emptyentries_SRCS GENERATE_MOC)

ecm_add_test(TEST_NAME test_emptyentries ${test_emptyentries_SRCS})
target_link_libraries(test_emptyentries KF5::ConfigGui)

########### next target ###############

set(test_dpointer_SRCS test_dpointer_main.cpp )

gen_kcfg_test_source(test_dpointer test_dpointer_SRCS)

ecm_add_test(TEST_NAME test_dpointer ${test_dpointer_SRCS})
target_link_libraries(test_dpointer KF5::ConfigGui)


########### next target ###############

set(test_signal_SRCS test_signal_main.cpp )
gen_kcfg_test_source(test_signal test_signal_SRCS GENERATE_MOC)
ecm_add_test(TEST_NAME test_signal ${test_signal_SRCS})
target_link_libraries(test_signal KF5::ConfigGui)


########### next target ###############

set(test_notifiers_SRCS test_notifiers_main.cpp )
gen_kcfg_test_source(test_notifiers test_notifiers_SRCS)
ecm_add_test(TEST_NAME test_notifiers ${test_notifiers_SRCS})
target_link_libraries(test_notifiers KF5::ConfigGui)


########### next target ###############

set(kconfigcompiler_test_signals_SRCS kconfigcompiler_test_signals.cpp)
gen_kcfg_test_source(signals_test_singleton kconfigcompiler_test_signals_SRCS GENERATE_MOC)
gen_kcfg_test_source(signals_test_no_singleton kconfigcompiler_test_signals_SRCS GENERATE_MOC)
gen_kcfg_test_source(signals_test_singleton_dpointer kconfigcompiler_test_signals_SRCS GENERATE_MOC)
gen_kcfg_test_source(signals_test_no_singleton_dpointer kconfigcompiler_test_signals_SRCS GENERATE_MOC)

ecm_add_test(${kconfigcompiler_test_signals_SRCS}
    TEST_NAME kconfigcompiler-signals-test
    LINK_LIBRARIES Qt5::Test KF5::ConfigGui
)

########### next target ###############

set(test_properties_minmax_SRCS test_properties_minmax_main.cpp)
gen_kcfg_test_source(test_properties_minmax test_properties_minmax_SRCS GENERATE_MOC)

ecm_add_test(${test_properties_minmax_SRCS}
    TEST_NAME test_properties_minmax
    LINK_LIBRARIES KF5::ConfigGui
)

########### next target ###############

set(test_param_minmax_SRCS test_param_minmax_main.cpp)
gen_kcfg_test_source(test_param_minmax test_param_minmax_SRCS)

ecm_add_test(${test_param_minmax_SRCS}
    TEST_NAME test_param_minmax
    LINK_LIBRARIES KF5::ConfigGui
)

########### next target ###############

ecm_add_test(kconfigcompiler_test.cpp
    TEST_NAME kconfigcompiler-basic-test
    LINK_LIBRARIES Qt5::Test
)


########### next target ###############

set(test_qcategory_SRCS test_qdebugcategorymain.cpp test_qdebugcategory_debug.cpp)
gen_kcfg_test_source(test_qdebugcategory test_qcategory_SRCS)
ecm_add_test(TEST_NAME test_qdebugcategory ${test_qcategory_SRCS})
target_link_libraries(test_qdebugcategory KF5::ConfigGui)

########### next target ###############

set(test_translation_qt_SRCS test_translation_qt_main.cpp)
gen_kcfg_test_source(test_translation_qt test_translation_qt_SRCS)

ecm_add_test(TEST_NAME test_translation_qt ${test_translation_qt_SRCS})
target_link_libraries(test_translation_qt KF5::ConfigGui)

########### next target ###############

set(test_translation_kde_SRCS test_translation_kde_main.cpp)
gen_kcfg_test_source(test_translation_kde test_translation_kde_SRCS)

ecm_add_test(TEST_NAME test_translation_kde ${test_translation_kde_SRCS})
target_link_libraries(test_translation_kde KF5::ConfigGui)

########### next target ###############

set(test_translation_kde_domain_SRCS test_translation_kde_domain_main.cpp)
gen_kcfg_test_source(test_translation_kde_domain test_translation_kde_domain_SRCS)

ecm_add_test(TEST_NAME test_translation_kde_domain ${test_translation_kde_domain_SRCS})
target_link_libraries(test_translation_kde_domain KF5::ConfigGui)

########### next target ###############

set(test_fileextensions_SRCS test_fileextensions_main.cxx)
gen_kcfg_test_source(test_fileextensions test_fileextensions_SRCS)

ecm_add_test(TEST_NAME test_fileextensions ${test_fileextensions_SRCS})
target_link_libraries(test_fileextensions KF5::ConfigGui)

=== src/kconfig_compiler/CMakeLists.txt ===


set(kconfig_compiler_SRCS
    KConfigParameters.cpp
    KConfigCodeGeneratorBase.cpp
    KConfigHeaderGenerator.cpp
    KConfigSourceGenerator.cpp
    KConfigXmlParser.cpp
    kconfig_compiler.cpp
)


add_executable(kconfig_compiler ${kconfig_compiler_SRCS})
set_target_properties(kconfig_compiler PROPERTIES
    OUTPUT_NAME "kconfig_compiler_kf5"
)

if(CMAKE_TOOLCHAIN_FILE)
    if(BUILD_TESTING)
        message(WARNING "Testing should be disabled on cross-compilation")
    endif()
else()
    add_executable(KF5::kconfig_compiler ALIAS kconfig_compiler)
endif()

target_link_libraries(kconfig_compiler Qt5::Xml)

ecm_mark_nongui_executable(kconfig_compiler)

install(TARGETS kconfig_compiler EXPORT KF5ConfigCompilerTargets DESTINATION ${KDE_INSTALL_LIBEXECDIR_KF5})

=== debian/changelog ===
kconfig (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:56:07 +0000

kconfig (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:48:36 +0000

kconfig (5.66.0a-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:17:43 +0000

kconfig (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 22:57:30 +0000

kconfig (5.64.0-0ubuntu2) focal; urgency=medium

  * Make autopkgtests cross-test-friendly.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 07 Dec 2019 15:46:36 -0800

kconfig (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:23:09 +0000

kconfig (5.62.0-0ubuntu1) eoan; urgency=medium

  * Install qdebug categories file.
  * New upstream release (5.62.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:05:34 +0100

kconfig (5.61.0a-0ubuntu1) eoan; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.61.0)

  [ Rik Mills ]
  * Drop CVE-2019-14744.diff, included in 5.61.0 source.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:41:06 +0100

kconfig (5.60.0-0ubuntu2) eoan; urgency=medium

  * SECURITY UPDATE: malicious .desktop files (and others) would execute
    code (LP: #1839432).
    - debian/patches/CVE-2019-14744.diff: removes the affected feature as
      currently 'unused'.
    - CVE-2019-14744

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 08 Aug 2019 09:13:45 +0100

kconfig (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:14:47 +0100

kconfig (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:18:00 +0100

kconfig (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:38:48 +0100

kconfig (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:36:30 +0100

=== debian/control ===
Source: kconfig
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.68.0~),
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kconfig
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig

Package: libkf5config-bin
Architecture: any
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains runtime files for KConfig.

Package: libkf5config-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the translations.

Package: libkf5config-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5config-bin (= ${binary:Version}),
         libkf5config-dev-bin (= ${binary:Version}),
         libkf5configcore5 (= ${binary:Version}),
         libkf5configgui5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5config-bin-dev (<< 5.47.0~),
Replaces: libkf5config-bin-dev (<< 5.47.0~)
Recommends: libkf5config-doc (= ${source:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files.,

Package: libkf5config-dev-bin
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
Replaces: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
Description: configuration settings framework for Qt -- binary package
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the binary files for the libkf5config-dev package.

Package: libkf5config-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: configuration settings framework for Qt (documentation)
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

Package: libkf5configcore5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigCore provides access to the configuration files themselves. It
 features:
 .
  - centralized definition: define your configuration in an XML file
  and use `kconfig_compiler` to generate classes to read and write
  configuration entries.
  - lock-down (kiosk) support.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigCore.

Package: libkf5configgui5
Architecture: any
Multi-Arch: same
Depends: libkf5config-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5config-bin (= ${binary:Version})
Description: configuration settings framework for Qt
 KConfig provides an advanced configuration system. It is made of two
 parts: KConfigCore and KConfigGui.
 .
 KConfigGui provides a way to hook widgets to the configuration so
 that they are automatically initialized from the configuration and
 automatically propagate their changes to their respective
 configuration files.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains KConfigGui.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus (>= 1.8)
Restrictions: build-needed, allow-stderr

Tests: acc
Depends: @, dh-acc:native, exuberant-ctags
Restrictions: allow-stderr

## kconfig 5.74.0

=== debian/changelog ===
kconfig (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:57:48 +0100

kconfig (5.73.0-0ubuntu2) groovy; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Sun, 30 Aug 2020 10:36:27 +0100

kconfig (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:56:34 +0100

kconfig (5.72.0-0ubuntu2) groovy; urgency=medium

  * Disable build-needed testsuite.

 -- Rik Mills <rikmills@kde.org>  Mon, 03 Aug 2020 15:19:00 +0100

kconfig (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:30:45 +0100

kconfig (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:04:54 +0100

kconfig (5.70.0-1ubuntu2) groovy; urgency=medium

  * Revert to Kubuntu test deps.

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Jun 2020 15:38:50 +0100

kconfig (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Keep Kubuntu symbols file.
    - Kubuntu Breaks/Replaces.

 -- Rik Mills <rikmills@kde.org>  Wed, 10 Jun 2020 09:52:47 +0100

kconfig (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Update install files.
  * Remove unused ${shlibs:Depends} substvar from libkf5config-dev.

  [ Scarlett Moore ]
  * Update source references to invent.kde.org.
    - Homepage to invent repo as projects does not exist.
    - Source in copyright to point to invent repo.
    - Update metadata to point to invent repo.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.36.0-1, 5.21.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Update patch hunks.
  * Update symbols from build for 5.70.0.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:56:20 +0200

kconfig (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)
  * Update symbols files

  [ Rik Mills ]
  * New upstream release (5.70.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:30:31 +0100

kconfig (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * dbgsym-migration was done for stretch and can safely removed now.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Update symbols from buildds for 5.62.0
  * Update symbols from build for 5.69.0.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:58:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,21 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
-Standards-Version: 4.1.4
-Homepage: https://projects.kde.org/projects/frameworks/kconfig
+               qtbase5-dev (>= 5.12.0~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.5.0
+Homepage: https://invent.kde.org/frameworks/kconfig
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
+Rules-Requires-Root: no
 
 Package: libkf5config-bin
 Architecture: any
@@ -78,7 +79,7 @@
          libkf5config-dev-bin (= ${binary:Version}),
          libkf5configcore5 (= ${binary:Version}),
          libkf5configgui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.12.0~),
          ${misc:Depends},
          ${shlibs:Depends},
 Breaks: libkf5config-bin-dev (<< 5.47.0~),
@@ -103,7 +104,7 @@
  .
  This package is part of KDE Frameworks 5.
  .
- This package contains the development files.,
+ This package contains the development files.
 
 Package: libkf5config-dev-bin
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DKCONFIG_COMPILER_INSTALL_DIR="lib/libexec/kf5"

override_dh_auto_test:
	# Disable auto tests at build time
	:

## kconfig 5.78.0

=== src/core/CMakeLists.txt ===
set(libkconfigcore_SRCS
   kconfig.cpp
   kconfigbase.cpp
   kconfigdata.cpp
   kconfiggroup.cpp
   kconfigbackend.cpp
   kconfigini.cpp
   kdesktopfile.cpp
   ksharedconfig.cpp
   kcoreconfigskeleton.cpp
   kauthorized.cpp
   kemailsettings.cpp
   kconfigwatcher.cpp
)

ecm_qt_declare_logging_category(libkconfigcore_SRCS
    HEADER kconfig_core_log_settings.h
    IDENTIFIER KCONFIG_CORE_LOG
    CATEGORY_NAME kf.config.core
    OLD_CATEGORY_NAMES kf5.kconfig.core
    DESCRIPTION "KConfig Core"
    EXPORT KCONFIG
)

configure_file(config-kconfig.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kconfig.h )

add_library(KF5ConfigCore ${libkconfigcore_SRCS})
add_library(KF5::ConfigCore ALIAS KF5ConfigCore)
ecm_generate_export_header(KF5ConfigCore
    BASE_NAME KConfigCore
    GROUP_BASE_NAME KF
    VERSION ${KF5_VERSION}
    DEPRECATED_BASE_VERSION 0
    DEPRECATION_VERSIONS 4.0 5.0 5.24 5.42
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
)

target_compile_definitions(KF5ConfigCore
    PRIVATE
        KCONF_UPDATE_INSTALL_LOCATION="${KDE_INSTALL_FULL_LIBEXECDIR_KF5}/$<TARGET_FILE_NAME:KF5::kconf_update>"
)

target_include_directories(KF5ConfigCore INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KConfigCore>")

target_link_libraries(KF5ConfigCore PUBLIC Qt5::Core)

if(KCONFIG_USE_DBUS)
    target_link_libraries(KF5ConfigCore PRIVATE Qt5::DBus)
endif()

if(WIN32)
    target_link_libraries(KF5ConfigCore PRIVATE ${KDEWIN_LIBRARIES})
endif()

set_target_properties(KF5ConfigCore PROPERTIES VERSION   ${KCONFIG_VERSION_STRING}
                                               SOVERSION ${KCONFIG_SOVERSION}
                                               EXPORT_NAME ConfigCore
)

ecm_generate_headers(KConfigCore_HEADERS
  HEADER_NAMES
  KAuthorized
  KConfig
  KConfigBase
  KConfigGroup
  KDesktopFile
  KSharedConfig
  KCoreConfigSkeleton
  KEMailSettings
  ConversionCheck
  KConfigWatcher

  REQUIRED_HEADERS KConfigCore_HEADERS
)

find_package(PythonModuleGeneration)

if (PythonModuleGeneration_FOUND)
  ecm_generate_python_binding(
    TARGET KF5::ConfigCore
    PYTHONNAMESPACE PyKF5
    MODULENAME KConfigCore
    RULES_FILE "${CMAKE_SOURCE_DIR}/cmake/rules_PyKF5.py"
    SIP_DEPENDS
      QtCore/QtCoremod.sip
    HEADERS
      kauthorized.h
      kconfig.h
      kconfigbase.h
      kconfiggroup.h
      kdesktopfile.h
      ksharedconfig.h
      kcoreconfigskeleton.h
      kemailsettings.h
      conversioncheck.h
      kconfigwatcher.h
  )
endif()

install(TARGETS KF5ConfigCore EXPORT KF5ConfigTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kconfigcore_export.h
  ${KConfigCore_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KConfigCore COMPONENT Devel
)

# make available to ecm_add_qch in parent folder
set(KConfigCore_APIDOX_SRCS ${KConfigCore_HEADERS} PARENT_SCOPE)
set(KConfigCore_APIDOX_INCLUDE_DIRS ${CMAKE_CURRENT_BINARY_DIR} PARENT_SCOPE)

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KConfigCore LIB_NAME KF5ConfigCore DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KConfigCore)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== src/kreadconfig/CMakeLists.txt ===
add_executable(kreadconfig5 kreadconfig.cpp)
ecm_mark_nongui_executable(kreadconfig5)

target_link_libraries(kreadconfig5 KF5::ConfigCore)

install(TARGETS kreadconfig5 ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### next target ###############

add_executable(kwriteconfig5 kwriteconfig.cpp)
ecm_mark_nongui_executable(kwriteconfig5)

target_link_libraries(kwriteconfig5 KF5::ConfigCore)

install(TARGETS kwriteconfig5 ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kconfig (5.78.0-4) unstable; urgency=medium

  * Reduce build deps (Closes: #981202)
    - Remove graphviz
    - Annotate xauth and xvfb with <!nocheck>
  * Cherry-pick upstream fix for restoring window size when closed
    while maximized

 -- Norbert Preining <norbert@preining.info>  Sat, 06 Feb 2021 19:40:28 +0900

kconfig (5.78.0-3) unstable; urgency=medium

  * Team upload.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Drop the unused debian/meta/ stuff.
  * Update renamed lintian tag names in lintian overrides.
  * Run the test suite at build time, since it seems to work fine:
    - add the dbus-x11, xauth, and xvfb build dependencies
    - run dh_auto_test using xvfb-run, and dbus-run-session
    - disable the fixfilepath reproducibility feature, as it breaks
      QFINDTESTDATA

 -- Pino Toscano <pino@debian.org>  Mon, 18 Jan 2021 11:45:56 +0100

kconfig (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:19 +0900

kconfig (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:40 +0900

kconfig (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:33 +0900

kconfig (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:52 +0900

kconfig (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:11:46 +0200

kconfig (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Add renamecategories file to libkf5config-data.
  * Update repository related entries to metadata file.
  * Add Bug-* entries to metadata file.
  * Update symbols from build for 5.74.0.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:44:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,29 @@
 Source: kconfig
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
+               dbus-x11 <!nocheck>,
+               debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.74.0~),
-               graphviz,
+               extra-cmake-modules (>= 5.78.0~),
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-Standards-Version: 4.5.0
+               xauth <!nocheck>,
+               xvfb <!nocheck>,
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kconfig
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kconfig
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kconfig
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kconfig.git
 Rules-Requires-Root: no
 
 Package: libkf5config-bin
 Architecture: any
-Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
 Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
@@ -72,18 +74,23 @@
  This package contains the translations.
 
 Package: libkf5config-dev
+Section: libdevel
 Architecture: any
 Multi-Arch: same
-Section: libdevel
 Depends: libkf5config-bin (= ${binary:Version}),
          libkf5config-dev-bin (= ${binary:Version}),
          libkf5configcore5 (= ${binary:Version}),
          libkf5configgui5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: libkf5config-bin-dev (<< 5.47.0~),
-Replaces: libkf5config-bin-dev (<< 5.47.0~)
+         qtbase5-dev (>= 5.14.0~),
+         ${misc:Depends}
+Breaks: libkf5completion-dev (<< 5.54),
+        libkf5config-bin-dev (<< 5.42),
+        libkf5configwidgets-dev (<< 5.54),
+        libkf5notifications-dev (<< 5.54),
+        libkf5service-dev (<< 5.54),
+        libkf5wallet-dev (<< 5.54),
+        libkf5xmlgui-dev (<< 5.54)
+Replaces: libkf5config-bin-dev (<< 5.42)
 Recommends: libkf5config-doc (= ${source:Version})
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
@@ -107,12 +114,12 @@
  This package contains the development files.
 
 Package: libkf5config-dev-bin
+Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Section: libdevel
+Breaks: libkf5config-dev (<< 5.15.0-2~)
+Replaces: libkf5config-dev (<< 5.15.0-2~)
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
-Replaces: libkf5config-bin-dev (<< 5.47.0~), libkf5config-dev (<< 5.15.0-2~)
 Description: configuration settings framework for Qt -- binary package
  KConfig provides an advanced configuration system. It is made of two
  parts: KConfigCore and KConfigGui.
@@ -137,7 +144,6 @@
 Package: libkf5config-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: configuration settings framework for Qt (documentation)
  KConfig provides an advanced configuration system. It is made of two
@@ -159,13 +165,84 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5configcore5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5config-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
+Breaks: baloo-kf5 (<< 5.54),
+        frameworkintegration (<< 5.54),
+        kded5 (<< 5.54),
+        kdesignerplugin (<< 5.42),
+        kgendesignerplugin (<< 5.54),
+        kgendesignerplugin-bin (<< 5.54),
+        kinit (<< 5.54),
+        kio (<< 5.54),
+        kpackagelauncherqml (<< 5.42),
+        kpackagetool5 (<< 5.28),
+        kross (<< 5.42),
+        ktexteditor-katepart (<< 5.42),
+        libkf5activitiesstats1 (<< 5.54),
+        libkf5baloo5 (<< 5.54),
+        libkf5bookmarks5 (<< 5.54),
+        libkf5completion5 (<< 5.54),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5declarative5 (<< 5.54),
+        libkf5emoticons-bin (<< 5.42),
+        libkf5emoticons5 (<< 5.54),
+        libkf5globalaccel-bin (<< 5.42),
+        libkf5globalaccelprivate5 (<< 5.54),
+        libkf5iconthemes5 (<< 5.54),
+        libkf5kcmutils5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.54),
+        libkf5khtml-bin (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5kiocore5 (<< 5.54),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiogui5 (<< 5.42),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5newstuffcore5 (<< 5.54),
+        libkf5notifications5 (<< 5.54),
+        libkf5notifyconfig5 (<< 5.54),
+        libkf5package5 (<< 5.28),
+        libkf5parts-plugins (<< 5.42),
+        libkf5parts5 (<< 5.54),
+        libkf5people5 (<< 5.42),
+        libkf5peoplewidgets5 (<< 5.54),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.54),
+        libkf5purpose-bin (<< 5.54),
+        libkf5purpose5 (<< 5.54),
+        libkf5quickaddons5 (<< 5.54),
+        libkf5runner5 (<< 5.54),
+        libkf5service-bin (<< 5.42),
+        libkf5service5 (<< 5.54),
+        libkf5style5 (<< 5.54),
+        libkf5su5 (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.42),
+        libkf5wallet-bin (<< 5.54),
+        libkf5wallet5 (<< 5.54),
+        libkf5webkit5 (<< 5.42),
+        libkf5xmlgui-bin (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        libkf5xmlrpcclient5 (<< 5.42),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-activities (<< 5.54),
+        qml-module-org-kde-extensionplugin (<< 5.28),
+        qml-module-org-kde-kconfig (<< 5.54),
+        qml-module-org-kde-kio (<< 5.42),
+        qml-module-org-kde-kquickcontrols (<< 5.42),
+        qml-module-org-kde-kquickcontrolsaddons (<< 5.54),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
+        qml-module-org-kde-runnermodel (<< 5.42)
 Recommends: libkf5config-bin (= ${binary:Version})
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two
@@ -188,7 +265,40 @@
 Multi-Arch: same
 Depends: libkf5config-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
+Breaks: frameworkintegration (<< 5.28),
+        kdesignerplugin (<< 5.42),
+        kio (<< 5.42),
+        kross (<< 5.42),
+        ktexteditor-katepart (<< 5.42),
+        libkf5bookmarks5 (<< 5.42),
+        libkf5completion5 (<< 5.54),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5iconthemes5 (<< 5.42),
+        libkf5kcmutils5 (<< 5.42),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.42),
+        libkf5khtml-bin (<< 5.42),
+        libkf5khtml5 (<< 5.42),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5parts-plugins (<< 5.42),
+        libkf5parts5 (<< 5.42),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.42),
+        libkf5quickaddons5 (<< 5.54),
+        libkf5style5 (<< 5.42),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5wallet-bin (<< 5.42),
+        libkf5webkit5 (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-kquickcontrols (<< 5.54),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42)
 Recommends: libkf5config-bin (= ${binary:Version})
 Description: configuration settings framework for Qt
  KConfig provides an advanced configuration system. It is made of two

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Disable fixfilepath, as it triggers build failures.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=-fixfilepath

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON -DKCONFIG_COMPILER_INSTALL_DIR="lib/libexec/kf5"

override_dh_auto_test:
	xvfb-run -a dbus-run-session dh_auto_test

## kconfig 5.80.0

=== debian/changelog ===
kconfig (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:06:36 +0000

kconfig (5.79.0a-0ubuntu3) hirsute; urgency=medium

  * Drop acc test once again.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 17:41:56 +0000

kconfig (5.79.0a-0ubuntu2) hirsute; urgency=medium

  * Re-enable acc test, it just works without other changes
  * Set libkf5config-bin as 'Multi-Arch: foreign'

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 14 Feb 2021 15:43:57 +0000

kconfig (5.79.0a-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:20:17 +0000

kconfig (5.78.0-3ubuntu1) hirsute; urgency=medium

  * Drop tests that came back via debian sync.

 -- Rik Mills <rikmills@kde.org>  Sun, 31 Jan 2021 22:11:59 +0000

=== debian/control ===
--- 
+++ 
@@ -8,14 +8,15 @@
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                qttools5-dev (>= 5.4),
                qttools5-dev-tools (>= 5.4),
-               xauth <!nocheck>,
-               xvfb <!nocheck>,
+               xauth,
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kconfig
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kconfig
@@ -24,6 +25,7 @@
 
 Package: libkf5config-bin
 Architecture: any
+Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Breaks: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
 Replaces: libkf5configcore5 (<= 4.100.0-0ubuntu1~ubuntu14.10~ppa1)
@@ -82,7 +84,7 @@
          libkf5configcore5 (= ${binary:Version}),
          libkf5configgui5 (= ${binary:Version}),
          qtbase5-dev (>= 5.14.0~),
-         ${misc:Depends}
+         ${misc:Depends},
 Breaks: libkf5completion-dev (<< 5.54),
         libkf5config-bin-dev (<< 5.42),
         libkf5configwidgets-dev (<< 5.54),

## kconfig 5.86.0

=== debian/changelog ===
kconfig (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:46:45 +0100

kconfig (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)
  * Disable build time tests.
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:25:26 +0100

kconfig (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)
  * Update symbols files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 08:58:54 +0100

kconfig (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:15:44 +0100

kconfig (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)
  * Refresh Allow-packagers-set-kconfig_compiler-install-dir.patch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:55:17 +0100

kconfig (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:27:55 +0100

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
                dbus-x11 <!nocheck>,
                debhelper-compat (= 13),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>= 0.15.15ubuntu1~),

=== debian/rules ===
--- 
+++ 
@@ -11,4 +11,5 @@
 	dh_auto_configure -- -DBUILD_QCH=ON -DKCONFIG_COMPILER_INSTALL_DIR="lib/libexec/kf5"
 
 override_dh_auto_test:
-	xvfb-run -a dbus-run-session dh_auto_test
+	# Disable auto tests at build time
+	:
